Hadrian: need CPP preprocessor dependencies #16660

Authored by DavidEichmann on Apr 16 2019, 9:10 AM.

Description

Hadrian: need CPP preprocessor dependencies Trac #16660

Use the new -include-cpp-deps ghc option (Trac #16521)
when generating .dependencies files in hadrian.
This is version gated as -include-cpp-deps is a
relatively new option.

Details

Committed
Marge Bot <ben+marge-bot@smart-cactus.org>Jun 9 2019, 5:46 PM
Parents
rGHC8a48a8a4e2f1: testsuite: Add test for #16509
Branches
Unknown
Tags
Unknown
Marge Bot <ben+marge-bot@smart-cactus.org> committed rGHC69c58f8abbb0: Hadrian: need CPP preprocessor dependencies #16660 (authored by DavidEichmann).Jun 9 2019, 5:46 PM